microsoft-foundry.rest.security.o-auth2-auth
Memory Stores
Delete a memory item
DELETE
/memory_stores/{name}/items/{memory_id}
Deletes the specified memory item from the memory store.
Parametry záhlaví
Foundry-Features
enum
vyžadováno
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
Parametry cesty
name
string
vyžadováno
The name of the memory store.
memory_id
string
vyžadováno
The ID of the memory item to delete.
Parametry dotazů
api-version
string
vyžadováno
The API version to use for this operation.
Odpovědi
The request has succeeded.
Text
Content-Type: application/json
object
enum
vyžadováno
The object type. Always 'memory_store.item.deleted'.
memory_store.item.deleted
memory_id
string
vyžadováno
The unique ID of the deleted memory item.
deleted
boolean
vyžadováno
Whether the memory item was successfully deleted.
Žádost
DELETE /memory_stores/{name}/items/{memory_id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json